안경잡이개발자

728x90
반응형

  파이썬에서 워드클라우드(wordcloud) 라이브러리를 설치하고자 했다.

 

 

  다만, 설치가 잘 진행되다가 오류가 발생했다. 오류 메시지는 다음과 같다.

 

"error: Microsoft Visual C++ 14.0 or greater is required."

 

  아래의 그림에서부터 알 수 있듯이, 최신 버전의 Microsoft Visual C++ 빌드 툴이 필요하다고 한다. 파이썬의 워드클라우드 라이브러리가 내부적으로 C++ 기반의 확장 프로그램(extension)을 필요로 하는 것으로 보인다.

 

 

  메시지에서도 나와 있듯이 다음의 Build Tools 설치 경로로 이동하면 된다.

 

  ▶ Microsoft C++ Build Tools 설치: https://visualstudio.microsoft.com/ko/visual-cpp-build-tools/

 

Microsoft C++ Build Tools - Visual Studio

Microsoft C++ Build Tools는 Visual Studio 없이 스크립트 가능한 독립 실행형 설치 관리자를 통해 MSVC 도구 집합을 제공합니다. 명령줄에서 Windows를 대상으로 하는 C++ 라이브러리 및 애플리케이션을 빌드

visualstudio.microsoft.com

 

  이후에 [Build Tools 다운로드] 버튼을 눌러 다운로드를 진행한다.

 

 

  설치 프로그램(installer)을 다운로드하여 설치 프로그램을 실행하면 다음과 같은 화면이 등장한다.

 

 

  결과적으로 Visual Studio Installer가 실행되면, 다음과 같이 [C++를 사용한 데크스톱 개발]을 선택하면 된다. 우리가 필요한 건 C++ 빌드 환경이기 때문이다. 결과적으로 [다운로드하는 동안 설치] 버튼을 누르고 [Install]을 진행하면 된다.

 

 

  결과적으로 다음과 같이 다운로드 및 설치가 진행되고 있는 것을 확인할 수 있다.

 

 

  설치가 완료되면 컴퓨터를 재시작하면 된다.

 

 

  컴퓨터 재시작 이후에 다시 wordcloud 라이브러리를 설치하면 정상적으로 설치가 완료된다.

 

728x90
반응형

Comment +0